window.Gleam.initSearch([{"doc":"midas_sdk","title":"midas_sdk","content":"# midas_sdk\n\n[![Package Version](https://img.shields.io/hexpm/v/midas_sdk)](https://hex.pm/packages/midas_sdk)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/midas_sdk/)\n\nA set of SDK&#39;s for building tasks with midas.\nNote this is not meant to be an exhaustive set for any given usecase.\nInstead if functions as quick implemetations of scripts and automations,\nthis is the usecase midas wants to champion using Gleam for.\nThis package can also be used as examples for how to implement sdk&#39;s that work with midas.\n\n```sh\ngleam add midas_sdk@1\n```\n```gleam\nimport midas_sdk\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/midas_sdk&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"midas/sdk/accu_weather/forecast","title":"DailyForecast","content":"pub type DailyForecast {\n  DailyForecast(\n    date: String,\n    sunrise: String,\n    sunset: String,\n    minimum_temperature: Float,\n    maximum_temperature: Float,\n    day: Detail,\n    night: Detail,\n  )\n}\n\nDailyForecast(\n  date: String,\n  sunrise: String,\n  sunset: String,\n  minimum_temperature: Float,\n  maximum_temperature: Float,\n  day: Detail,\n  night: Detail,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.DailyForecast\nmidas/sdk/accu_weather/forecast DailyForecast","url":"midas/sdk/accu_weather/forecast.html#DailyForecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"Detail","content":"pub type Detail {\n  Detail(\n    precipitation_probability: Int,\n    wind_speed: Float,\n    wind_direction: String,\n  )\n}\n\nDetail(\n  precipitation_probability: Int,\n  wind_speed: Float,\n  wind_direction: String,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.Detail\nmidas/sdk/accu_weather/forecast Detail","url":"midas/sdk/accu_weather/forecast.html#Detail"},{"doc":"midas/sdk/accu_weather/forecast","title":"daily_forcast_decoder","content":"pub fn daily_forcast_decoder(\n  raw: Dynamic,\n) -&gt; Result(DailyForecast, List(DecodeError))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.daily_forcast_decoder\nmidas/sdk/accu_weather/forecast daily_forcast_decoder","url":"midas/sdk/accu_weather/forecast.html#daily_forcast_decoder"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast","content":"pub fn five_day_forecast(\n  api_key: String,\n  location: String,\n) -&gt; Effect(List(DailyForecast))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast\nmidas/sdk/accu_weather/forecast five_day_forecast","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_request","content":"pub fn five_day_forecast_request(\n  api_key: String,\n  location: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_request\nmidas/sdk/accu_weather/forecast five_day_forecast_request","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_request"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_response","content":"pub fn five_day_forecast_response(\n  response: Response(BitArray),\n) -&gt; Result(List(DailyForecast), Snag)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_response\nmidas/sdk/accu_weather/forecast five_day_forecast_response","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_response"},{"doc":"midas/sdk/accu_weather/forecast","title":"midas/sdk/accu_weather/forecast","content":"","url":"midas/sdk/accu_weather/forecast.html"},{"doc":"midas/sdk/accu_weather/location","title":"stockholm","content":"pub const stockholm: String\n\nSynonyms:\nmidas/sdk/accu_weather/location.stockholm\nmidas/sdk/accu_weather/location stockholm","url":"midas/sdk/accu_weather/location.html#stockholm"},{"doc":"midas/sdk/accu_weather/location","title":"midas/sdk/accu_weather/location","content":"","url":"midas/sdk/accu_weather/location.html"},{"doc":"midas/sdk/dnsimple","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple.App\nmidas/sdk/dnsimple App","url":"midas/sdk/dnsimple.html#App"},{"doc":"midas/sdk/dnsimple","title":"Domain","content":"pub type Domain {\n  Domain(id: Int, name: String)\n}\n\nDomain(id: Int, name: String)\n\n\nSynonyms:\nmidas/sdk/dnsimple.Domain\nmidas/sdk/dnsimple Domain","url":"midas/sdk/dnsimple.html#Domain"},{"doc":"midas/sdk/dnsimple","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/dnsimple.api_host\nmidas/sdk/dnsimple api_host","url":"midas/sdk/dnsimple.html#api_host"},{"doc":"midas/sdk/dnsimple","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/dnsimple.auth_redirect\nmidas/sdk/dnsimple auth_redirect","url":"midas/sdk/dnsimple.html#auth_redirect"},{"doc":"midas/sdk/dnsimple","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.authenticate\nmidas/sdk/dnsimple authenticate","url":"midas/sdk/dnsimple.html#authenticate"},{"doc":"midas/sdk/dnsimple","title":"do_authenticate","content":"pub fn do_authenticate(\n  app: App,\n  state: String,\n) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.do_authenticate\nmidas/sdk/dnsimple do_authenticate","url":"midas/sdk/dnsimple.html#do_authenticate"},{"doc":"midas/sdk/dnsimple","title":"list_domains","content":"pub fn list_domains(\n  token: String,\n  account: Int,\n) -&gt; Effect(List(Domain))\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains\nmidas/sdk/dnsimple list_domains","url":"midas/sdk/dnsimple.html#list_domains"},{"doc":"midas/sdk/dnsimple","title":"list_domains_request","content":"pub fn list_domains_request(\n  token: String,\n  account: Int,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains_request\nmidas/sdk/dnsimple list_domains_request","url":"midas/sdk/dnsimple.html#list_domains_request"},{"doc":"midas/sdk/dnsimple","title":"list_domains_response","content":"pub fn list_domains_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Domain), Snag)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains_response\nmidas/sdk/dnsimple list_domains_response","url":"midas/sdk/dnsimple.html#list_domains_response"},{"doc":"midas/sdk/dnsimple","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n  code: String,\n  state: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/dnsimple.token_request\nmidas/sdk/dnsimple token_request","url":"midas/sdk/dnsimple.html#token_request"},{"doc":"midas/sdk/dnsimple","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(#(String, Int), a)\n\nSynonyms:\nmidas/sdk/dnsimple.token_response\nmidas/sdk/dnsimple token_response","url":"midas/sdk/dnsimple.html#token_response"},{"doc":"midas/sdk/dnsimple","title":"midas/sdk/dnsimple","content":"","url":"midas/sdk/dnsimple.html"},{"doc":"midas/sdk/google","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/google.App\nmidas/sdk/google App","url":"midas/sdk/google.html#App"},{"doc":"midas/sdk/google","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/google.auth_redirect\nmidas/sdk/google auth_redirect","url":"midas/sdk/google.html#auth_redirect"},{"doc":"midas/sdk/google","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.authenticate\nmidas/sdk/google authenticate","url":"midas/sdk/google.html#authenticate"},{"doc":"midas/sdk/google","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.userinfo\nmidas/sdk/google userinfo","url":"midas/sdk/google.html#userinfo"},{"doc":"midas/sdk/google","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google.userinfo_request\nmidas/sdk/google userinfo_request","url":"midas/sdk/google.html#userinfo_request"},{"doc":"midas/sdk/google","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/google.userinfo_response\nmidas/sdk/google userinfo_response","url":"midas/sdk/google.html#userinfo_response"},{"doc":"midas/sdk/google","title":"midas/sdk/google","content":"","url":"midas/sdk/google.html"},{"doc":"midas/sdk/google/calendar","title":"DateOrDatetime","content":"pub type DateOrDatetime {\n  Date(String)\n  Datetime(String)\n}\n\nDate(String)\n\n\nDatetime(String)\n\n\nSynonyms:\nmidas/sdk/google/calendar.DateOrDatetime\nmidas/sdk/google/calendar DateOrDatetime","url":"midas/sdk/google/calendar.html#DateOrDatetime"},{"doc":"midas/sdk/google/calendar","title":"Event","content":"pub type Event {\n  Event(\n    summary: String,\n    location: Option(String),\n    start: DateOrDatetime,\n    end: DateOrDatetime,\n  )\n}\n\nEvent(\n  summary: String,\n  location: Option(String),\n  start: DateOrDatetime,\n  end: DateOrDatetime,\n)\n\n\nSynonyms:\nmidas/sdk/google/calendar.Event\nmidas/sdk/google/calendar Event","url":"midas/sdk/google/calendar.html#Event"},{"doc":"midas/sdk/google/calendar","title":"date_or_datetime_decoder","content":"pub fn date_or_datetime_decoder(\n  raw: Dynamic,\n) -&gt; Result(DateOrDatetime, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.date_or_datetime_decoder\nmidas/sdk/google/calendar date_or_datetime_decoder","url":"midas/sdk/google/calendar.html#date_or_datetime_decoder"},{"doc":"midas/sdk/google/calendar","title":"event_decoder","content":"pub fn event_decoder(\n  raw: Dynamic,\n) -&gt; Result(Event, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.event_decoder\nmidas/sdk/google/calendar event_decoder","url":"midas/sdk/google/calendar.html#event_decoder"},{"doc":"midas/sdk/google/calendar","title":"list_events","content":"pub fn list_events(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/google/calendar.list_events\nmidas/sdk/google/calendar list_events","url":"midas/sdk/google/calendar.html#list_events"},{"doc":"midas/sdk/google/calendar","title":"list_events_request","content":"pub fn list_events_request(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_request\nmidas/sdk/google/calendar list_events_request","url":"midas/sdk/google/calendar.html#list_events_request"},{"doc":"midas/sdk/google/calendar","title":"list_events_response","content":"pub fn list_events_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Event), Snag)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_response\nmidas/sdk/google/calendar list_events_response","url":"midas/sdk/google/calendar.html#list_events_response"},{"doc":"midas/sdk/google/calendar","title":"midas/sdk/google/calendar","content":"","url":"midas/sdk/google/calendar.html"},{"doc":"midas/sdk/google/gmail","title":"Message","content":"pub type Message {\n  Message(id: String, thread_id: String)\n}\n\nMessage(id: String, thread_id: String)\n\n\nSynonyms:\nmidas/sdk/google/gmail.Message\nmidas/sdk/google/gmail Message","url":"midas/sdk/google/gmail.html#Message"},{"doc":"midas/sdk/google/gmail","title":"list_messages","content":"pub fn list_messages(\n  token: String,\n  user_id: String,\n) -&gt; Effect(List(Message))\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages\nmidas/sdk/google/gmail list_messages","url":"midas/sdk/google/gmail.html#list_messages"},{"doc":"midas/sdk/google/gmail","title":"list_messages_request","content":"pub fn list_messages_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_request\nmidas/sdk/google/gmail list_messages_request","url":"midas/sdk/google/gmail.html#list_messages_request"},{"doc":"midas/sdk/google/gmail","title":"list_messages_response","content":"pub fn list_messages_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Message), Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_response\nmidas/sdk/google/gmail list_messages_response","url":"midas/sdk/google/gmail.html#list_messages_response"},{"doc":"midas/sdk/google/gmail","title":"send","content":"pub fn send(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Effect(Message)\n\nSynonyms:\nmidas/sdk/google/gmail.send\nmidas/sdk/google/gmail send","url":"midas/sdk/google/gmail.html#send"},{"doc":"midas/sdk/google/gmail","title":"send_request","content":"pub fn send_request(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.send_request\nmidas/sdk/google/gmail send_request","url":"midas/sdk/google/gmail.html#send_request"},{"doc":"midas/sdk/google/gmail","title":"send_response","content":"pub fn send_response(\n  response: Response(BitArray),\n) -&gt; Result(Message, Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.send_response\nmidas/sdk/google/gmail send_response","url":"midas/sdk/google/gmail.html#send_response"},{"doc":"midas/sdk/google/gmail","title":"midas/sdk/google/gmail","content":"","url":"midas/sdk/google/gmail.html"},{"doc":"midas/sdk/linkedin","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.App\nmidas/sdk/linkedin App","url":"midas/sdk/linkedin.html#App"},{"doc":"midas/sdk/linkedin","title":"Author","content":"pub type Author {\n  Person(id: String)\n  Organization(id: String)\n}\n\nPerson(id: String)\n\n\nOrganization(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Author\nmidas/sdk/linkedin Author","url":"midas/sdk/linkedin.html#Author"},{"doc":"midas/sdk/linkedin","title":"Content","content":"pub type Content {\n  Article(\n    description: Option(String),\n    source: String,\n    thumbnail: Option(Image),\n    thumbnail_alt_text: Option(String),\n    title: String,\n  )\n}\n\nArticle(\n  description: Option(String),\n  source: String,\n  thumbnail: Option(Image),\n  thumbnail_alt_text: Option(String),\n  title: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.Content\nmidas/sdk/linkedin Content","url":"midas/sdk/linkedin.html#Content"},{"doc":"midas/sdk/linkedin","title":"Image","content":"pub type Image {\n  Image(id: String)\n}\n\nImage(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Image\nmidas/sdk/linkedin Image","url":"midas/sdk/linkedin.html#Image"},{"doc":"midas/sdk/linkedin","title":"InitializeImageUpload","content":"pub type InitializeImageUpload {\n  InitializeImageUpload(\n    upload_url_expires_at: Int,\n    upload_url: String,\n    image: String,\n  )\n}\n\nInitializeImageUpload(\n  upload_url_expires_at: Int,\n  upload_url: String,\n  image: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.InitializeImageUpload\nmidas/sdk/linkedin InitializeImageUpload","url":"midas/sdk/linkedin.html#InitializeImageUpload"},{"doc":"midas/sdk/linkedin","title":"Share","content":"pub type Share {\n  Share(id: String)\n}\n\nShare(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Share\nmidas/sdk/linkedin Share","url":"midas/sdk/linkedin.html#Share"},{"doc":"midas/sdk/linkedin","title":"Userinfo","content":"pub type Userinfo {\n  Userinfo(sub: String)\n}\n\nUserinfo(sub: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Userinfo\nmidas/sdk/linkedin Userinfo","url":"midas/sdk/linkedin.html#Userinfo"},{"doc":"midas/sdk/linkedin","title":"Visability","content":"pub type Visability {\n  Connections\n  Public\n  LoggedIn\n  Container\n}\n\nConnections\n\n\nPublic\n\n\nLoggedIn\n\n\nContainer\n\n\nSynonyms:\nmidas/sdk/linkedin.Visability\nmidas/sdk/linkedin Visability","url":"midas/sdk/linkedin.html#Visability"},{"doc":"midas/sdk/linkedin","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/linkedin.api_host\nmidas/sdk/linkedin api_host","url":"midas/sdk/linkedin.html#api_host"},{"doc":"midas/sdk/linkedin","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/linkedin.auth_redirect\nmidas/sdk/linkedin auth_redirect","url":"midas/sdk/linkedin.html#auth_redirect"},{"doc":"midas/sdk/linkedin","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.authenticate\nmidas/sdk/linkedin authenticate","url":"midas/sdk/linkedin.html#authenticate"},{"doc":"midas/sdk/linkedin","title":"author_to_urn","content":"pub fn author_to_urn(author: Author) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.author_to_urn\nmidas/sdk/linkedin author_to_urn","url":"midas/sdk/linkedin.html#author_to_urn"},{"doc":"midas/sdk/linkedin","title":"content_to_json","content":"pub fn content_to_json(content: Content) -&gt; Json\n\nSynonyms:\nmidas/sdk/linkedin.content_to_json\nmidas/sdk/linkedin content_to_json","url":"midas/sdk/linkedin.html#content_to_json"},{"doc":"midas/sdk/linkedin","title":"create_post","content":"pub fn create_post(\n  token: String,\n  user_id: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.create_post\nmidas/sdk/linkedin create_post","url":"midas/sdk/linkedin.html#create_post"},{"doc":"midas/sdk/linkedin","title":"create_post_request","content":"pub fn create_post_request(\n  token: String,\n  author: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_request\nmidas/sdk/linkedin create_post_request","url":"midas/sdk/linkedin.html#create_post_request"},{"doc":"midas/sdk/linkedin","title":"create_post_response","content":"pub fn create_post_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_response\nmidas/sdk/linkedin create_post_response","url":"midas/sdk/linkedin.html#create_post_response"},{"doc":"midas/sdk/linkedin","title":"get_post","content":"pub fn get_post(\n  token: String,\n  share: Share,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_post\nmidas/sdk/linkedin get_post","url":"midas/sdk/linkedin.html#get_post"},{"doc":"midas/sdk/linkedin","title":"get_post_request","content":"pub fn get_post_request(\n  token: String,\n  share: Share,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_post_request\nmidas/sdk/linkedin get_post_request","url":"midas/sdk/linkedin.html#get_post_request"},{"doc":"midas/sdk/linkedin","title":"get_posts","content":"pub fn get_posts(\n  token: String,\n  author: Author,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_posts\nmidas/sdk/linkedin get_posts","url":"midas/sdk/linkedin.html#get_posts"},{"doc":"midas/sdk/linkedin","title":"get_posts_request","content":"pub fn get_posts_request(\n  token: String,\n  author: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_posts_request\nmidas/sdk/linkedin get_posts_request","url":"midas/sdk/linkedin.html#get_posts_request"},{"doc":"midas/sdk/linkedin","title":"image_to_urn","content":"pub fn image_to_urn(image: Image) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.image_to_urn\nmidas/sdk/linkedin image_to_urn","url":"midas/sdk/linkedin.html#image_to_urn"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload","content":"pub fn initialize_image_upload(\n  token: String,\n  owner: Author,\n) -&gt; Effect(InitializeImageUpload)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload\nmidas/sdk/linkedin initialize_image_upload","url":"midas/sdk/linkedin.html#initialize_image_upload"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_decoder","content":"pub fn initialize_image_upload_decoder(\n  raw: Dynamic,\n) -&gt; Result(InitializeImageUpload, List(DecodeError))\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_decoder\nmidas/sdk/linkedin initialize_image_upload_decoder","url":"midas/sdk/linkedin.html#initialize_image_upload_decoder"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_request","content":"pub fn initialize_image_upload_request(\n  token: String,\n  owner: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_request\nmidas/sdk/linkedin initialize_image_upload_request","url":"midas/sdk/linkedin.html#initialize_image_upload_request"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_response","content":"pub fn initialize_image_upload_response(\n  response: Response(BitArray),\n) -&gt; Result(InitializeImageUpload, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_response\nmidas/sdk/linkedin initialize_image_upload_response","url":"midas/sdk/linkedin.html#initialize_image_upload_response"},{"doc":"midas/sdk/linkedin","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  client_secret: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.token_request\nmidas/sdk/linkedin token_request","url":"midas/sdk/linkedin.html#token_request"},{"doc":"midas/sdk/linkedin","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/linkedin.token_response\nmidas/sdk/linkedin token_response","url":"midas/sdk/linkedin.html#token_response"},{"doc":"midas/sdk/linkedin","title":"upload_image","content":"pub fn upload_image(\n  token: String,\n  owner: Author,\n  bits: BitArray,\n) -&gt; Effect(Image)\n\nSynonyms:\nmidas/sdk/linkedin.upload_image\nmidas/sdk/linkedin upload_image","url":"midas/sdk/linkedin.html#upload_image"},{"doc":"midas/sdk/linkedin","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(Userinfo)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo\nmidas/sdk/linkedin userinfo","url":"midas/sdk/linkedin.html#userinfo"},{"doc":"midas/sdk/linkedin","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_request\nmidas/sdk/linkedin userinfo_request","url":"midas/sdk/linkedin.html#userinfo_request"},{"doc":"midas/sdk/linkedin","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(Userinfo, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_response\nmidas/sdk/linkedin userinfo_response","url":"midas/sdk/linkedin.html#userinfo_response"},{"doc":"midas/sdk/linkedin","title":"visability_to_string","content":"pub fn visability_to_string(visability: Visability) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.visability_to_string\nmidas/sdk/linkedin visability_to_string","url":"midas/sdk/linkedin.html#visability_to_string"},{"doc":"midas/sdk/linkedin","title":"midas/sdk/linkedin","content":"","url":"midas/sdk/linkedin.html"},{"doc":"midas/sdk/netlify/gen","title":"AccessToken","content":"pub type AccessToken {\n  AccessToken(\n    user_email: Option(String),\n    created_at: Option(String),\n    user_id: Option(String),\n    id: Option(String),\n    access_token: Option(String),\n  )\n}\n\nAccessToken(\n  user_email: Option(String),\n  created_at: Option(String),\n  user_id: Option(String),\n  id: Option(String),\n  access_token: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccessToken\nmidas/sdk/netlify/gen AccessToken","url":"midas/sdk/netlify/gen.html#AccessToken"},{"doc":"midas/sdk/netlify/gen","title":"AccountAddMemberSetup","content":"pub type AccountAddMemberSetup {\n  AccountAddMemberSetup(\n    role: Option(String),\n    email: Option(String),\n  )\n}\n\nAccountAddMemberSetup(\n  role: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountAddMemberSetup\nmidas/sdk/netlify/gen AccountAddMemberSetup","url":"midas/sdk/netlify/gen.html#AccountAddMemberSetup"},{"doc":"midas/sdk/netlify/gen","title":"AccountMembership","content":"pub type AccountMembership {\n  AccountMembership(\n    type_id: Option(String),\n    payment_method_id: Option(String),\n    billing_period: Option(String),\n    roles_allowed: Option(List(String)),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    owner_ids: Option(List(String)),\n    billing_name: Option(String),\n    type_name: Option(String),\n    capabilities: Option(Nil),\n    updated_at: Option(String),\n    billing_email: Option(String),\n    type_: Option(String),\n    id: Option(String),\n    billing_details: Option(String),\n  )\n}\n\nAccountMembership(\n  type_id: Option(String),\n  payment_method_id: Option(String),\n  billing_period: Option(String),\n  roles_allowed: Option(List(String)),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  owner_ids: Option(List(String)),\n  billing_name: Option(String),\n  type_name: Option(String),\n  capabilities: Option(Nil),\n  updated_at: Option(String),\n  billing_email: Option(String),\n  type_: Option(String),\n  id: Option(String),\n  billing_details: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountMembership\nmidas/sdk/netlify/gen AccountMembership","url":"midas/sdk/netlify/gen.html#AccountMembership"},{"doc":"midas/sdk/netlify/gen","title":"AccountSetup","content":"pub type AccountSetup {\n  AccountSetup(\n    type_id: Option(String),\n    payment_method_id: Option(String),\n    period: Option(String),\n    name: Option(String),\n    extra_seats_block: Option(Int),\n  )\n}\n\nAccountSetup(\n  type_id: Option(String),\n  payment_method_id: Option(String),\n  period: Option(String),\n  name: Option(String),\n  extra_seats_block: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountSetup\nmidas/sdk/netlify/gen AccountSetup","url":"midas/sdk/netlify/gen.html#AccountSetup"},{"doc":"midas/sdk/netlify/gen","title":"AccountType","content":"pub type AccountType {\n  AccountType(\n    monthly_seats_addon_dollar_price: Option(Int),\n    yearly_seats_addon_dollar_price: Option(Int),\n    name: Option(String),\n    capabilities: Option(Nil),\n    monthly_dollar_price: Option(Int),\n    id: Option(String),\n    yearly_dollar_price: Option(Int),\n    description: Option(String),\n  )\n}\n\nAccountType(\n  monthly_seats_addon_dollar_price: Option(Int),\n  yearly_seats_addon_dollar_price: Option(Int),\n  name: Option(String),\n  capabilities: Option(Nil),\n  monthly_dollar_price: Option(Int),\n  id: Option(String),\n  yearly_dollar_price: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountType\nmidas/sdk/netlify/gen AccountType","url":"midas/sdk/netlify/gen.html#AccountType"},{"doc":"midas/sdk/netlify/gen","title":"AccountUpdateMemberSetup","content":"pub type AccountUpdateMemberSetup {\n  AccountUpdateMemberSetup(\n    site_ids: Option(List(String)),\n    role: Option(String),\n    site_access: Option(String),\n  )\n}\n\nAccountUpdateMemberSetup(\n  site_ids: Option(List(String)),\n  role: Option(String),\n  site_access: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountUpdateMemberSetup\nmidas/sdk/netlify/gen AccountUpdateMemberSetup","url":"midas/sdk/netlify/gen.html#AccountUpdateMemberSetup"},{"doc":"midas/sdk/netlify/gen","title":"AccountUpdateSetup","content":"pub type AccountUpdateSetup {\n  AccountUpdateSetup(\n    type_id: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    extra_seats_block: Option(Int),\n    billing_name: Option(String),\n    billing_email: Option(String),\n    billing_details: Option(String),\n  )\n}\n\nAccountUpdateSetup(\n  type_id: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  extra_seats_block: Option(Int),\n  billing_name: Option(String),\n  billing_email: Option(String),\n  billing_details: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountUpdateSetup\nmidas/sdk/netlify/gen AccountUpdateSetup","url":"midas/sdk/netlify/gen.html#AccountUpdateSetup"},{"doc":"midas/sdk/netlify/gen","title":"AccountUsageCapability","content":"pub type AccountUsageCapability {\n  AccountUsageCapability(\n    included: Option(Int),\n    used: Option(Int),\n  )\n}\n\nAccountUsageCapability(included: Option(Int), used: Option(Int))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AccountUsageCapability\nmidas/sdk/netlify/gen AccountUsageCapability","url":"midas/sdk/netlify/gen.html#AccountUsageCapability"},{"doc":"midas/sdk/netlify/gen","title":"Asset","content":"pub type Asset {\n  Asset(\n    content_type: Option(String),\n    size: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    creator_id: Option(String),\n    url: Option(String),\n    state: Option(String),\n    visibility: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n    key: Option(String),\n  )\n}\n\nAsset(\n  content_type: Option(String),\n  size: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  creator_id: Option(String),\n  url: Option(String),\n  state: Option(String),\n  visibility: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Asset\nmidas/sdk/netlify/gen Asset","url":"midas/sdk/netlify/gen.html#Asset"},{"doc":"midas/sdk/netlify/gen","title":"AssetForm","content":"pub type AssetForm {\n  AssetForm(url: Option(String), fields: Option(Nil))\n}\n\nAssetForm(url: Option(String), fields: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AssetForm\nmidas/sdk/netlify/gen AssetForm","url":"midas/sdk/netlify/gen.html#AssetForm"},{"doc":"midas/sdk/netlify/gen","title":"AssetPublicSignature","content":"pub type AssetPublicSignature {\n  AssetPublicSignature(url: Option(String))\n}\n\nAssetPublicSignature(url: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AssetPublicSignature\nmidas/sdk/netlify/gen AssetPublicSignature","url":"midas/sdk/netlify/gen.html#AssetPublicSignature"},{"doc":"midas/sdk/netlify/gen","title":"AssetSignature","content":"pub type AssetSignature {\n  AssetSignature(form: Option(Nil), asset: Option(Nil))\n}\n\nAssetSignature(form: Option(Nil), asset: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AssetSignature\nmidas/sdk/netlify/gen AssetSignature","url":"midas/sdk/netlify/gen.html#AssetSignature"},{"doc":"midas/sdk/netlify/gen","title":"AuditLog","content":"pub type AuditLog {\n  AuditLog(\n    account_id: Option(String),\n    payload: Option(Nil),\n    id: Option(String),\n  )\n}\n\nAuditLog(\n  account_id: Option(String),\n  payload: Option(Nil),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.AuditLog\nmidas/sdk/netlify/gen AuditLog","url":"midas/sdk/netlify/gen.html#AuditLog"},{"doc":"midas/sdk/netlify/gen","title":"Build","content":"pub type Build {\n  Build(\n    done: Option(Bool),\n    error: Option(String),\n    created_at: Option(String),\n    sha: Option(String),\n    deploy_id: Option(String),\n    id: Option(String),\n  )\n}\n\nBuild(\n  done: Option(Bool),\n  error: Option(String),\n  created_at: Option(String),\n  sha: Option(String),\n  deploy_id: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Build\nmidas/sdk/netlify/gen Build","url":"midas/sdk/netlify/gen.html#Build"},{"doc":"midas/sdk/netlify/gen","title":"BuildHook","content":"pub type BuildHook {\n  BuildHook(\n    branch: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    site_id: Option(String),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nBuildHook(\n  branch: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  site_id: Option(String),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.BuildHook\nmidas/sdk/netlify/gen BuildHook","url":"midas/sdk/netlify/gen.html#BuildHook"},{"doc":"midas/sdk/netlify/gen","title":"BuildHookSetup","content":"pub type BuildHookSetup {\n  BuildHookSetup(branch: Option(String), title: Option(String))\n}\n\nBuildHookSetup(branch: Option(String), title: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.BuildHookSetup\nmidas/sdk/netlify/gen BuildHookSetup","url":"midas/sdk/netlify/gen.html#BuildHookSetup"},{"doc":"midas/sdk/netlify/gen","title":"BuildLogMsg","content":"pub type BuildLogMsg {\n  BuildLogMsg(\n    section: Option(String),\n    message: Option(String),\n    error: Option(Bool),\n  )\n}\n\nBuildLogMsg(\n  section: Option(String),\n  message: Option(String),\n  error: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.BuildLogMsg\nmidas/sdk/netlify/gen BuildLogMsg","url":"midas/sdk/netlify/gen.html#BuildLogMsg"},{"doc":"midas/sdk/netlify/gen","title":"BuildSetup","content":"pub type BuildSetup {\n  BuildSetup(clear_cache: Option(Bool), image: Option(String))\n}\n\nBuildSetup(clear_cache: Option(Bool), image: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.BuildSetup\nmidas/sdk/netlify/gen BuildSetup","url":"midas/sdk/netlify/gen.html#BuildSetup"},{"doc":"midas/sdk/netlify/gen","title":"BuildStatus","content":"pub type BuildStatus {\n  BuildStatus(\n    active: Option(Int),\n    pending_concurrency: Option(Int),\n    enqueued: Option(Int),\n    build_count: Option(Int),\n    minutes: Option(Nil),\n  )\n}\n\nBuildStatus(\n  active: Option(Int),\n  pending_concurrency: Option(Int),\n  enqueued: Option(Int),\n  build_count: Option(Int),\n  minutes: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.BuildStatus\nmidas/sdk/netlify/gen BuildStatus","url":"midas/sdk/netlify/gen.html#BuildStatus"},{"doc":"midas/sdk/netlify/gen","title":"Deploy","content":"pub type Deploy {\n  Deploy(\n    draft: Option(Bool),\n    branch: Option(String),\n    review_id: Option(Float),\n    published_at: Option(String),\n    deploy_ssl_url: Option(String),\n    commit_url: Option(String),\n    review_url: Option(String),\n    created_at: Option(String),\n    locked: Option(Bool),\n    commit_ref: Option(String),\n    name: Option(String),\n    build_id: Option(String),\n    url: Option(String),\n    context: Option(String),\n    user_id: Option(String),\n    error_message: Option(String),\n    skipped: Option(Bool),\n    state: Option(String),\n    site_id: Option(String),\n    function_schedules: Option(Nil),\n    screenshot_url: Option(String),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    title: Option(String),\n    id: Option(String),\n    required_functions: Option(List(String)),\n    ssl_url: Option(String),\n    framework: Option(String),\n    admin_url: Option(String),\n    required: Option(List(String)),\n  )\n}\n\nDeploy(\n  draft: Option(Bool),\n  branch: Option(String),\n  review_id: Option(Float),\n  published_at: Option(String),\n  deploy_ssl_url: Option(String),\n  commit_url: Option(String),\n  review_url: Option(String),\n  created_at: Option(String),\n  locked: Option(Bool),\n  commit_ref: Option(String),\n  name: Option(String),\n  build_id: Option(String),\n  url: Option(String),\n  context: Option(String),\n  user_id: Option(String),\n  error_message: Option(String),\n  skipped: Option(Bool),\n  state: Option(String),\n  site_id: Option(String),\n  function_schedules: Option(Nil),\n  screenshot_url: Option(String),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  title: Option(String),\n  id: Option(String),\n  required_functions: Option(List(String)),\n  ssl_url: Option(String),\n  framework: Option(String),\n  admin_url: Option(String),\n  required: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Deploy\nmidas/sdk/netlify/gen Deploy","url":"midas/sdk/netlify/gen.html#Deploy"},{"doc":"midas/sdk/netlify/gen","title":"DeployFiles","content":"pub type DeployFiles {\n  DeployFiles(\n    draft: Option(Bool),\n    branch: Option(String),\n    functions_config: Option(Nil),\n    function_schedules: Option(Nil),\n    files: Option(Nil),\n    framework_version: Option(String),\n    functions: Option(Nil),\n    async: Option(Bool),\n    framework: Option(String),\n  )\n}\n\nDeployFiles(\n  draft: Option(Bool),\n  branch: Option(String),\n  functions_config: Option(Nil),\n  function_schedules: Option(Nil),\n  files: Option(Nil),\n  framework_version: Option(String),\n  functions: Option(Nil),\n  async: Option(Bool),\n  framework: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DeployFiles\nmidas/sdk/netlify/gen DeployFiles","url":"midas/sdk/netlify/gen.html#DeployFiles"},{"doc":"midas/sdk/netlify/gen","title":"DeployKey","content":"pub type DeployKey {\n  DeployKey(\n    public_key: Option(String),\n    created_at: Option(String),\n    id: Option(String),\n  )\n}\n\nDeployKey(\n  public_key: Option(String),\n  created_at: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DeployKey\nmidas/sdk/netlify/gen DeployKey","url":"midas/sdk/netlify/gen.html#DeployKey"},{"doc":"midas/sdk/netlify/gen","title":"DeployedBranch","content":"pub type DeployedBranch {\n  DeployedBranch(\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    deploy_id: Option(String),\n    id: Option(String),\n    ssl_url: Option(String),\n  )\n}\n\nDeployedBranch(\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  deploy_id: Option(String),\n  id: Option(String),\n  ssl_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DeployedBranch\nmidas/sdk/netlify/gen DeployedBranch","url":"midas/sdk/netlify/gen.html#DeployedBranch"},{"doc":"midas/sdk/netlify/gen","title":"DevServer","content":"pub type DevServer {\n  DevServer(\n    branch: Option(String),\n    live_at: Option(String),\n    created_at: Option(String),\n    error_at: Option(String),\n    url: Option(String),\n    done_at: Option(String),\n    state: Option(String),\n    starting_at: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nDevServer(\n  branch: Option(String),\n  live_at: Option(String),\n  created_at: Option(String),\n  error_at: Option(String),\n  url: Option(String),\n  done_at: Option(String),\n  state: Option(String),\n  starting_at: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DevServer\nmidas/sdk/netlify/gen DevServer","url":"midas/sdk/netlify/gen.html#DevServer"},{"doc":"midas/sdk/netlify/gen","title":"DevServerHook","content":"pub type DevServerHook {\n  DevServerHook(\n    branch: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    site_id: Option(String),\n    title: Option(String),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nDevServerHook(\n  branch: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  site_id: Option(String),\n  title: Option(String),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DevServerHook\nmidas/sdk/netlify/gen DevServerHook","url":"midas/sdk/netlify/gen.html#DevServerHook"},{"doc":"midas/sdk/netlify/gen","title":"DevServerHookSetup","content":"pub type DevServerHookSetup {\n  DevServerHookSetup(\n    branch: Option(String),\n    title: Option(String),\n    type_: Option(String),\n  )\n}\n\nDevServerHookSetup(\n  branch: Option(String),\n  title: Option(String),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DevServerHookSetup\nmidas/sdk/netlify/gen DevServerHookSetup","url":"midas/sdk/netlify/gen.html#DevServerHookSetup"},{"doc":"midas/sdk/netlify/gen","title":"DnsRecord","content":"pub type DnsRecord {\n  DnsRecord(\n    priority: Option(Int),\n    ttl: Option(Int),\n    flag: Option(Int),\n    value: Option(String),\n    hostname: Option(String),\n    site_id: Option(String),\n    dns_zone_id: Option(String),\n    type_: Option(String),\n    tag: Option(String),\n    id: Option(String),\n    managed: Option(Bool),\n  )\n}\n\nDnsRecord(\n  priority: Option(Int),\n  ttl: Option(Int),\n  flag: Option(Int),\n  value: Option(String),\n  hostname: Option(String),\n  site_id: Option(String),\n  dns_zone_id: Option(String),\n  type_: Option(String),\n  tag: Option(String),\n  id: Option(String),\n  managed: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DnsRecord\nmidas/sdk/netlify/gen DnsRecord","url":"midas/sdk/netlify/gen.html#DnsRecord"},{"doc":"midas/sdk/netlify/gen","title":"DnsRecordCreate","content":"pub type DnsRecordCreate {\n  DnsRecordCreate(\n    port: Option(Int),\n    priority: Option(Int),\n    ttl: Option(Int),\n    flag: Option(Int),\n    value: Option(String),\n    hostname: Option(String),\n    weight: Option(Int),\n    type_: Option(String),\n    tag: Option(String),\n  )\n}\n\nDnsRecordCreate(\n  port: Option(Int),\n  priority: Option(Int),\n  ttl: Option(Int),\n  flag: Option(Int),\n  value: Option(String),\n  hostname: Option(String),\n  weight: Option(Int),\n  type_: Option(String),\n  tag: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DnsRecordCreate\nmidas/sdk/netlify/gen DnsRecordCreate","url":"midas/sdk/netlify/gen.html#DnsRecordCreate"},{"doc":"midas/sdk/netlify/gen","title":"DnsZone","content":"pub type DnsZone {\n  DnsZone(\n    records: Option(Nil),\n    domain: Option(String),\n    ipv6_enabled: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    errors: Option(List(String)),\n    account_id: Option(String),\n    dedicated: Option(Bool),\n    user_id: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    dns_servers: Option(List(String)),\n    id: Option(String),\n    supported_record_types: Option(List(String)),\n    account_name: Option(String),\n    account_slug: Option(String),\n  )\n}\n\nDnsZone(\n  records: Option(Nil),\n  domain: Option(String),\n  ipv6_enabled: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  errors: Option(List(String)),\n  account_id: Option(String),\n  dedicated: Option(Bool),\n  user_id: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  dns_servers: Option(List(String)),\n  id: Option(String),\n  supported_record_types: Option(List(String)),\n  account_name: Option(String),\n  account_slug: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DnsZone\nmidas/sdk/netlify/gen DnsZone","url":"midas/sdk/netlify/gen.html#DnsZone"},{"doc":"midas/sdk/netlify/gen","title":"DnsZoneSetup","content":"pub type DnsZoneSetup {\n  DnsZoneSetup(\n    name: Option(String),\n    site_id: Option(String),\n    account_slug: Option(String),\n  )\n}\n\nDnsZoneSetup(\n  name: Option(String),\n  site_id: Option(String),\n  account_slug: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.DnsZoneSetup\nmidas/sdk/netlify/gen DnsZoneSetup","url":"midas/sdk/netlify/gen.html#DnsZoneSetup"},{"doc":"midas/sdk/netlify/gen","title":"EnvVar","content":"pub type EnvVar {\n  EnvVar(\n    values: Option(Nil),\n    is_secret: Option(Bool),\n    updated_at: Option(String),\n    updated_by: Option(Nil),\n    scopes: Option(List(String)),\n    key: Option(String),\n  )\n}\n\nEnvVar(\n  values: Option(Nil),\n  is_secret: Option(Bool),\n  updated_at: Option(String),\n  updated_by: Option(Nil),\n  scopes: Option(List(String)),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.EnvVar\nmidas/sdk/netlify/gen EnvVar","url":"midas/sdk/netlify/gen.html#EnvVar"},{"doc":"midas/sdk/netlify/gen","title":"EnvVarUser","content":"pub type EnvVarUser {\n  EnvVarUser(\n    avatar_url: Option(String),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nEnvVarUser(\n  avatar_url: Option(String),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.EnvVarUser\nmidas/sdk/netlify/gen EnvVarUser","url":"midas/sdk/netlify/gen.html#EnvVarUser"},{"doc":"midas/sdk/netlify/gen","title":"EnvVarValue","content":"pub type EnvVarValue {\n  EnvVarValue(\n    context: Option(String),\n    value: Option(String),\n    context_parameter: Option(String),\n    id: Option(String),\n  )\n}\n\nEnvVarValue(\n  context: Option(String),\n  value: Option(String),\n  context_parameter: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.EnvVarValue\nmidas/sdk/netlify/gen EnvVarValue","url":"midas/sdk/netlify/gen.html#EnvVarValue"},{"doc":"midas/sdk/netlify/gen","title":"Error","content":"pub type Error {\n  Error(message: Option(String), code: Option(Int))\n}\n\nError(message: Option(String), code: Option(Int))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Error\nmidas/sdk/netlify/gen Error","url":"midas/sdk/netlify/gen.html#Error"},{"doc":"midas/sdk/netlify/gen","title":"ExcludedFunctionRoute","content":"pub type ExcludedFunctionRoute {\n  ExcludedFunctionRoute(\n    literal: Option(String),\n    pattern: Option(String),\n    expression: Option(String),\n  )\n}\n\nExcludedFunctionRoute(\n  literal: Option(String),\n  pattern: Option(String),\n  expression: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.ExcludedFunctionRoute\nmidas/sdk/netlify/gen ExcludedFunctionRoute","url":"midas/sdk/netlify/gen.html#ExcludedFunctionRoute"},{"doc":"midas/sdk/netlify/gen","title":"File","content":"pub type File {\n  File(\n    size: Option(Int),\n    path: Option(String),\n    mime_type: Option(String),\n    sha: Option(String),\n    id: Option(String),\n  )\n}\n\nFile(\n  size: Option(Int),\n  path: Option(String),\n  mime_type: Option(String),\n  sha: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.File\nmidas/sdk/netlify/gen File","url":"midas/sdk/netlify/gen.html#File"},{"doc":"midas/sdk/netlify/gen","title":"Form","content":"pub type Form {\n  Form(\n    created_at: Option(String),\n    name: Option(String),\n    paths: Option(List(String)),\n    site_id: Option(String),\n    fields: Option(Nil),\n    id: Option(String),\n    submission_count: Option(Int),\n  )\n}\n\nForm(\n  created_at: Option(String),\n  name: Option(String),\n  paths: Option(List(String)),\n  site_id: Option(String),\n  fields: Option(Nil),\n  id: Option(String),\n  submission_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Form\nmidas/sdk/netlify/gen Form","url":"midas/sdk/netlify/gen.html#Form"},{"doc":"midas/sdk/netlify/gen","title":"Function","content":"pub type Function {\n  Function(\n    name: Option(String),\n    sha: Option(String),\n    id: Option(String),\n  )\n}\n\nFunction(\n  name: Option(String),\n  sha: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Function\nmidas/sdk/netlify/gen Function","url":"midas/sdk/netlify/gen.html#Function"},{"doc":"midas/sdk/netlify/gen","title":"FunctionConfig","content":"pub type FunctionConfig {\n  FunctionConfig(\n    priority: Option(Int),\n    display_name: Option(String),\n    routes: Option(Nil),\n    generator: Option(String),\n    traffic_rules: Option(Nil),\n    build_data: Option(Nil),\n    excluded_routes: Option(Nil),\n  )\n}\n\nFunctionConfig(\n  priority: Option(Int),\n  display_name: Option(String),\n  routes: Option(Nil),\n  generator: Option(String),\n  traffic_rules: Option(Nil),\n  build_data: Option(Nil),\n  excluded_routes: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.FunctionConfig\nmidas/sdk/netlify/gen FunctionConfig","url":"midas/sdk/netlify/gen.html#FunctionConfig"},{"doc":"midas/sdk/netlify/gen","title":"FunctionRoute","content":"pub type FunctionRoute {\n  FunctionRoute(\n    literal: Option(String),\n    pattern: Option(String),\n    methods: Option(List(String)),\n    expression: Option(String),\n    prefer_static: Option(Bool),\n  )\n}\n\nFunctionRoute(\n  literal: Option(String),\n  pattern: Option(String),\n  methods: Option(List(String)),\n  expression: Option(String),\n  prefer_static: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.FunctionRoute\nmidas/sdk/netlify/gen FunctionRoute","url":"midas/sdk/netlify/gen.html#FunctionRoute"},{"doc":"midas/sdk/netlify/gen","title":"FunctionSchedule","content":"pub type FunctionSchedule {\n  FunctionSchedule(name: Option(String), cron: Option(String))\n}\n\nFunctionSchedule(name: Option(String), cron: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.FunctionSchedule\nmidas/sdk/netlify/gen FunctionSchedule","url":"midas/sdk/netlify/gen.html#FunctionSchedule"},{"doc":"midas/sdk/netlify/gen","title":"Hook","content":"pub type Hook {\n  Hook(\n    created_at: Option(String),\n    data: Option(Nil),\n    site_id: Option(String),\n    updated_at: Option(String),\n    event: Option(String),\n    type_: Option(String),\n    id: Option(String),\n    disabled: Option(Bool),\n  )\n}\n\nHook(\n  created_at: Option(String),\n  data: Option(Nil),\n  site_id: Option(String),\n  updated_at: Option(String),\n  event: Option(String),\n  type_: Option(String),\n  id: Option(String),\n  disabled: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Hook\nmidas/sdk/netlify/gen Hook","url":"midas/sdk/netlify/gen.html#Hook"},{"doc":"midas/sdk/netlify/gen","title":"HookType","content":"pub type HookType {\n  HookType(\n    name: Option(String),\n    events: Option(List(String)),\n    fields: Option(Nil),\n  )\n}\n\nHookType(\n  name: Option(String),\n  events: Option(List(String)),\n  fields: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.HookType\nmidas/sdk/netlify/gen HookType","url":"midas/sdk/netlify/gen.html#HookType"},{"doc":"midas/sdk/netlify/gen","title":"Member","content":"pub type Member {\n  Member(\n    role: Option(String),\n    avatar: Option(String),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nMember(\n  role: Option(String),\n  avatar: Option(String),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Member\nmidas/sdk/netlify/gen Member","url":"midas/sdk/netlify/gen.html#Member"},{"doc":"midas/sdk/netlify/gen","title":"Metadata","content":"pub type Metadata {\n  Metadata\n}\n\nMetadata\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Metadata\nmidas/sdk/netlify/gen Metadata","url":"midas/sdk/netlify/gen.html#Metadata"},{"doc":"midas/sdk/netlify/gen","title":"PaymentMethod","content":"pub type PaymentMethod {\n  PaymentMethod(\n    method_name: Option(String),\n    created_at: Option(String),\n    data: Option(Nil),\n    state: Option(String),\n    updated_at: Option(String),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nPaymentMethod(\n  method_name: Option(String),\n  created_at: Option(String),\n  data: Option(Nil),\n  state: Option(String),\n  updated_at: Option(String),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.PaymentMethod\nmidas/sdk/netlify/gen PaymentMethod","url":"midas/sdk/netlify/gen.html#PaymentMethod"},{"doc":"midas/sdk/netlify/gen","title":"Plugin","content":"pub type Plugin {\n  Plugin(package: Option(String), pinned_version: Option(String))\n}\n\nPlugin(package: Option(String), pinned_version: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Plugin\nmidas/sdk/netlify/gen Plugin","url":"midas/sdk/netlify/gen.html#Plugin"},{"doc":"midas/sdk/netlify/gen","title":"PluginParams","content":"pub type PluginParams {\n  PluginParams(pinned_version: Option(String))\n}\n\nPluginParams(pinned_version: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.PluginParams\nmidas/sdk/netlify/gen PluginParams","url":"midas/sdk/netlify/gen.html#PluginParams"},{"doc":"midas/sdk/netlify/gen","title":"PluginRun","content":"pub type PluginRun {\n  PluginRun(\n    package: Option(String),\n    summary: Option(String),\n    reporting_event: Option(String),\n    text: Option(String),\n    state: Option(String),\n    deploy_id: Option(String),\n    version: Option(String),\n    title: Option(String),\n  )\n}\n\nPluginRun(\n  package: Option(String),\n  summary: Option(String),\n  reporting_event: Option(String),\n  text: Option(String),\n  state: Option(String),\n  deploy_id: Option(String),\n  version: Option(String),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.PluginRun\nmidas/sdk/netlify/gen PluginRun","url":"midas/sdk/netlify/gen.html#PluginRun"},{"doc":"midas/sdk/netlify/gen","title":"PluginRunData","content":"pub type PluginRunData {\n  PluginRunData(\n    package: Option(String),\n    summary: Option(String),\n    reporting_event: Option(String),\n    text: Option(String),\n    state: Option(String),\n    version: Option(String),\n    title: Option(String),\n  )\n}\n\nPluginRunData(\n  package: Option(String),\n  summary: Option(String),\n  reporting_event: Option(String),\n  text: Option(String),\n  state: Option(String),\n  version: Option(String),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.PluginRunData\nmidas/sdk/netlify/gen PluginRunData","url":"midas/sdk/netlify/gen.html#PluginRunData"},{"doc":"midas/sdk/netlify/gen","title":"Purge","content":"pub type Purge {\n  Purge(\n    site_slug: Option(String),\n    site_id: Option(String),\n    cache_tags: Option(List(String)),\n  )\n}\n\nPurge(\n  site_slug: Option(String),\n  site_id: Option(String),\n  cache_tags: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Purge\nmidas/sdk/netlify/gen Purge","url":"midas/sdk/netlify/gen.html#Purge"},{"doc":"midas/sdk/netlify/gen","title":"RepoInfo","content":"pub type RepoInfo {\n  RepoInfo(\n    installation_id: Option(Int),\n    stop_builds: Option(Bool),\n    repo_url: Option(String),\n    allowed_branches: Option(List(String)),\n    public_repo: Option(Bool),\n    functions_dir: Option(String),\n    private_logs: Option(Bool),\n    dir: Option(String),\n    env: Option(Nil),\n    repo_branch: Option(String),\n    provider: Option(String),\n    repo_path: Option(String),\n    deploy_key_id: Option(String),\n    cmd: Option(String),\n    id: Option(Int),\n  )\n}\n\nRepoInfo(\n  installation_id: Option(Int),\n  stop_builds: Option(Bool),\n  repo_url: Option(String),\n  allowed_branches: Option(List(String)),\n  public_repo: Option(Bool),\n  functions_dir: Option(String),\n  private_logs: Option(Bool),\n  dir: Option(String),\n  env: Option(Nil),\n  repo_branch: Option(String),\n  provider: Option(String),\n  repo_path: Option(String),\n  deploy_key_id: Option(String),\n  cmd: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.RepoInfo\nmidas/sdk/netlify/gen RepoInfo","url":"midas/sdk/netlify/gen.html#RepoInfo"},{"doc":"midas/sdk/netlify/gen","title":"Service","content":"pub type Service {\n  Service(\n    environments: Option(List(String)),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    service_path: Option(String),\n    updated_at: Option(String),\n    tags: Option(List(String)),\n    icon: Option(String),\n    events: Option(Nil),\n    long_description: Option(String),\n    id: Option(String),\n    description: Option(String),\n    manifest_url: Option(String),\n  )\n}\n\nService(\n  environments: Option(List(String)),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  service_path: Option(String),\n  updated_at: Option(String),\n  tags: Option(List(String)),\n  icon: Option(String),\n  events: Option(Nil),\n  long_description: Option(String),\n  id: Option(String),\n  description: Option(String),\n  manifest_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Service\nmidas/sdk/netlify/gen Service","url":"midas/sdk/netlify/gen.html#Service"},{"doc":"midas/sdk/netlify/gen","title":"ServiceInstance","content":"pub type ServiceInstance {\n  ServiceInstance(\n    config: Option(Nil),\n    created_at: Option(String),\n    external_attributes: Option(Nil),\n    env: Option(Nil),\n    url: Option(String),\n    service_path: Option(String),\n    service_name: Option(String),\n    service_slug: Option(String),\n    snippets: Option(Nil),\n    updated_at: Option(String),\n    auth_url: Option(String),\n    id: Option(String),\n  )\n}\n\nServiceInstance(\n  config: Option(Nil),\n  created_at: Option(String),\n  external_attributes: Option(Nil),\n  env: Option(Nil),\n  url: Option(String),\n  service_path: Option(String),\n  service_name: Option(String),\n  service_slug: Option(String),\n  snippets: Option(Nil),\n  updated_at: Option(String),\n  auth_url: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.ServiceInstance\nmidas/sdk/netlify/gen ServiceInstance","url":"midas/sdk/netlify/gen.html#ServiceInstance"},{"doc":"midas/sdk/netlify/gen","title":"Site","content":"pub type Site {\n  Site(\n    domain_aliases: Option(List(String)),\n    deploy_preview_custom_domain: Option(String),\n    session_id: Option(String),\n    id_domain: Option(String),\n    notification_email: Option(String),\n    managed_dns: Option(Bool),\n    plan: Option(String),\n    build_image: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    ssl: Option(Bool),\n    account_id: Option(String),\n    url: Option(String),\n    user_id: Option(String),\n    processing_settings: Option(Nil),\n    state: Option(String),\n    custom_domain: Option(String),\n    build_settings: Option(Nil),\n    screenshot_url: Option(String),\n    capabilities: Option(Nil),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    branch_deploy_custom_domain: Option(String),\n    default_hooks_data: Option(Nil),\n    functions_region: Option(String),\n    published_deploy: Option(Nil),\n    force_ssl: Option(Bool),\n    prerender: Option(String),\n    id: Option(String),\n    deploy_hook: Option(String),\n    password: Option(String),\n    ssl_url: Option(String),\n    account_name: Option(String),\n    account_slug: Option(String),\n    git_provider: Option(String),\n    admin_url: Option(String),\n  )\n}\n\nSite(\n  domain_aliases: Option(List(String)),\n  deploy_preview_custom_domain: Option(String),\n  session_id: Option(String),\n  id_domain: Option(String),\n  notification_email: Option(String),\n  managed_dns: Option(Bool),\n  plan: Option(String),\n  build_image: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  ssl: Option(Bool),\n  account_id: Option(String),\n  url: Option(String),\n  user_id: Option(String),\n  processing_settings: Option(Nil),\n  state: Option(String),\n  custom_domain: Option(String),\n  build_settings: Option(Nil),\n  screenshot_url: Option(String),\n  capabilities: Option(Nil),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  branch_deploy_custom_domain: Option(String),\n  default_hooks_data: Option(Nil),\n  functions_region: Option(String),\n  published_deploy: Option(Nil),\n  force_ssl: Option(Bool),\n  prerender: Option(String),\n  id: Option(String),\n  deploy_hook: Option(String),\n  password: Option(String),\n  ssl_url: Option(String),\n  account_name: Option(String),\n  account_slug: Option(String),\n  git_provider: Option(String),\n  admin_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Site\nmidas/sdk/netlify/gen Site","url":"midas/sdk/netlify/gen.html#Site"},{"doc":"midas/sdk/netlify/gen","title":"SiteFunction","content":"pub type SiteFunction {\n  SiteFunction(\n    branch: Option(String),\n    created_at: Option(String),\n    provider: Option(String),\n    log_type: Option(String),\n    id: Option(String),\n    functions: Option(Nil),\n  )\n}\n\nSiteFunction(\n  branch: Option(String),\n  created_at: Option(String),\n  provider: Option(String),\n  log_type: Option(String),\n  id: Option(String),\n  functions: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.SiteFunction\nmidas/sdk/netlify/gen SiteFunction","url":"midas/sdk/netlify/gen.html#SiteFunction"},{"doc":"midas/sdk/netlify/gen","title":"SiteSetup","content":"pub type SiteSetup {\n  SiteSetup(\n    domain_aliases: Option(List(String)),\n    deploy_preview_custom_domain: Option(String),\n    session_id: Option(String),\n    id_domain: Option(String),\n    notification_email: Option(String),\n    managed_dns: Option(Bool),\n    plan: Option(String),\n    build_image: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    ssl: Option(Bool),\n    account_id: Option(String),\n    url: Option(String),\n    user_id: Option(String),\n    processing_settings: Option(Nil),\n    state: Option(String),\n    custom_domain: Option(String),\n    repo: Option(Nil),\n    build_settings: Option(Nil),\n    screenshot_url: Option(String),\n    capabilities: Option(Nil),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    branch_deploy_custom_domain: Option(String),\n    default_hooks_data: Option(Nil),\n    functions_region: Option(String),\n    published_deploy: Option(Nil),\n    force_ssl: Option(Bool),\n    prerender: Option(String),\n    id: Option(String),\n    deploy_hook: Option(String),\n    password: Option(String),\n    ssl_url: Option(String),\n    account_name: Option(String),\n    account_slug: Option(String),\n    git_provider: Option(String),\n    admin_url: Option(String),\n  )\n}\n\nSiteSetup(\n  domain_aliases: Option(List(String)),\n  deploy_preview_custom_domain: Option(String),\n  session_id: Option(String),\n  id_domain: Option(String),\n  notification_email: Option(String),\n  managed_dns: Option(Bool),\n  plan: Option(String),\n  build_image: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  ssl: Option(Bool),\n  account_id: Option(String),\n  url: Option(String),\n  user_id: Option(String),\n  processing_settings: Option(Nil),\n  state: Option(String),\n  custom_domain: Option(String),\n  repo: Option(Nil),\n  build_settings: Option(Nil),\n  screenshot_url: Option(String),\n  capabilities: Option(Nil),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  branch_deploy_custom_domain: Option(String),\n  default_hooks_data: Option(Nil),\n  functions_region: Option(String),\n  published_deploy: Option(Nil),\n  force_ssl: Option(Bool),\n  prerender: Option(String),\n  id: Option(String),\n  deploy_hook: Option(String),\n  password: Option(String),\n  ssl_url: Option(String),\n  account_name: Option(String),\n  account_slug: Option(String),\n  git_provider: Option(String),\n  admin_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.SiteSetup\nmidas/sdk/netlify/gen SiteSetup","url":"midas/sdk/netlify/gen.html#SiteSetup"},{"doc":"midas/sdk/netlify/gen","title":"SniCertificate","content":"pub type SniCertificate {\n  SniCertificate(\n    created_at: Option(String),\n    domains: Option(List(String)),\n    state: Option(String),\n    updated_at: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nSniCertificate(\n  created_at: Option(String),\n  domains: Option(List(String)),\n  state: Option(String),\n  updated_at: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.SniCertificate\nmidas/sdk/netlify/gen SniCertificate","url":"midas/sdk/netlify/gen.html#SniCertificate"},{"doc":"midas/sdk/netlify/gen","title":"Snippet","content":"pub type Snippet {\n  Snippet(\n    general_position: Option(String),\n    general: Option(String),\n    site_id: Option(String),\n    goal: Option(String),\n    goal_position: Option(String),\n    title: Option(String),\n    id: Option(Int),\n  )\n}\n\nSnippet(\n  general_position: Option(String),\n  general: Option(String),\n  site_id: Option(String),\n  goal: Option(String),\n  goal_position: Option(String),\n  title: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Snippet\nmidas/sdk/netlify/gen Snippet","url":"midas/sdk/netlify/gen.html#Snippet"},{"doc":"midas/sdk/netlify/gen","title":"SplitTest","content":"pub type SplitTest {\n  SplitTest(\n    path: Option(String),\n    active: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    branches: Option(Nil),\n    site_id: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n    unpublished_at: Option(String),\n  )\n}\n\nSplitTest(\n  path: Option(String),\n  active: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  branches: Option(Nil),\n  site_id: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n  unpublished_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.SplitTest\nmidas/sdk/netlify/gen SplitTest","url":"midas/sdk/netlify/gen.html#SplitTest"},{"doc":"midas/sdk/netlify/gen","title":"SplitTestSetup","content":"pub type SplitTestSetup {\n  SplitTestSetup(branch_tests: Option(Nil))\n}\n\nSplitTestSetup(branch_tests: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.SplitTestSetup\nmidas/sdk/netlify/gen SplitTestSetup","url":"midas/sdk/netlify/gen.html#SplitTestSetup"},{"doc":"midas/sdk/netlify/gen","title":"Submission","content":"pub type Submission {\n  Submission(\n    body: Option(String),\n    summary: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    data: Option(Nil),\n    name: Option(String),\n    last_name: Option(String),\n    site_url: Option(String),\n    first_name: Option(String),\n    id: Option(String),\n    email: Option(String),\n    company: Option(String),\n  )\n}\n\nSubmission(\n  body: Option(String),\n  summary: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  data: Option(Nil),\n  name: Option(String),\n  last_name: Option(String),\n  site_url: Option(String),\n  first_name: Option(String),\n  id: Option(String),\n  email: Option(String),\n  company: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Submission\nmidas/sdk/netlify/gen Submission","url":"midas/sdk/netlify/gen.html#Submission"},{"doc":"midas/sdk/netlify/gen","title":"Ticket","content":"pub type Ticket {\n  Ticket(\n    created_at: Option(String),\n    client_id: Option(String),\n    id: Option(String),\n    authorized: Option(Bool),\n  )\n}\n\nTicket(\n  created_at: Option(String),\n  client_id: Option(String),\n  id: Option(String),\n  authorized: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.Ticket\nmidas/sdk/netlify/gen Ticket","url":"midas/sdk/netlify/gen.html#Ticket"},{"doc":"midas/sdk/netlify/gen","title":"TrafficRulesAggregateConfig","content":"pub type TrafficRulesAggregateConfig {\n  TrafficRulesAggregateConfig(keys: Option(Nil))\n}\n\nTrafficRulesAggregateConfig(keys: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.TrafficRulesAggregateConfig\nmidas/sdk/netlify/gen TrafficRulesAggregateConfig","url":"midas/sdk/netlify/gen.html#TrafficRulesAggregateConfig"},{"doc":"midas/sdk/netlify/gen","title":"TrafficRulesConfig","content":"pub type TrafficRulesConfig {\n  TrafficRulesConfig(action: Option(Nil))\n}\n\nTrafficRulesConfig(action: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/gen.TrafficRulesConfig\nmidas/sdk/netlify/gen TrafficRulesConfig","url":"midas/sdk/netlify/gen.html#TrafficRulesConfig"},{"doc":"midas/sdk/netlify/gen","title":"TrafficRulesRateLimitConfig","content":"pub type TrafficRulesRateLimitConfig {\n  TrafficRulesRateLimitConfig(\n    window_limit: Option(Int),\n    algorithm: Option(String),\n    window_size: Option(Int),\n  )\n}\n\nTrafficRulesRateLimitConfig(\n  window_limit: Option(Int),\n  algorithm: Option(String),\n  window_size: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.TrafficRulesRateLimitConfig\nmidas/sdk/netlify/gen TrafficRulesRateLimitConfig","url":"midas/sdk/netlify/gen.html#TrafficRulesRateLimitConfig"},{"doc":"midas/sdk/netlify/gen","title":"User","content":"pub type User {\n  User(\n    last_login: Option(String),\n    avatar_url: Option(String),\n    created_at: Option(String),\n    login_providers: Option(List(String)),\n    affiliate_id: Option(String),\n    uid: Option(String),\n    onboarding_progress: Option(Nil),\n    site_count: Option(Int),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nUser(\n  last_login: Option(String),\n  avatar_url: Option(String),\n  created_at: Option(String),\n  login_providers: Option(List(String)),\n  affiliate_id: Option(String),\n  uid: Option(String),\n  onboarding_progress: Option(Nil),\n  site_count: Option(Int),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/gen.User\nmidas/sdk/netlify/gen User","url":"midas/sdk/netlify/gen.html#User"},{"doc":"midas/sdk/netlify/gen","title":"decode_access_token","content":"pub fn decode_access_token(\n  raw: Dynamic,\n) -&gt; Result(AccessToken, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_access_token\nmidas/sdk/netlify/gen decode_access_token","url":"midas/sdk/netlify/gen.html#decode_access_token"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_add_member_setup","content":"pub fn decode_account_add_member_setup(\n  raw: Dynamic,\n) -&gt; Result(AccountAddMemberSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_add_member_setup\nmidas/sdk/netlify/gen decode_account_add_member_setup","url":"midas/sdk/netlify/gen.html#decode_account_add_member_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_membership","content":"pub fn decode_account_membership(\n  raw: Dynamic,\n) -&gt; Result(AccountMembership, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_membership\nmidas/sdk/netlify/gen decode_account_membership","url":"midas/sdk/netlify/gen.html#decode_account_membership"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_setup","content":"pub fn decode_account_setup(\n  raw: Dynamic,\n) -&gt; Result(AccountSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_setup\nmidas/sdk/netlify/gen decode_account_setup","url":"midas/sdk/netlify/gen.html#decode_account_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_type","content":"pub fn decode_account_type(\n  raw: Dynamic,\n) -&gt; Result(AccountType, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_type\nmidas/sdk/netlify/gen decode_account_type","url":"midas/sdk/netlify/gen.html#decode_account_type"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_update_member_setup","content":"pub fn decode_account_update_member_setup(\n  raw: Dynamic,\n) -&gt; Result(AccountUpdateMemberSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_update_member_setup\nmidas/sdk/netlify/gen decode_account_update_member_setup","url":"midas/sdk/netlify/gen.html#decode_account_update_member_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_update_setup","content":"pub fn decode_account_update_setup(\n  raw: Dynamic,\n) -&gt; Result(AccountUpdateSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_update_setup\nmidas/sdk/netlify/gen decode_account_update_setup","url":"midas/sdk/netlify/gen.html#decode_account_update_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_account_usage_capability","content":"pub fn decode_account_usage_capability(\n  raw: Dynamic,\n) -&gt; Result(AccountUsageCapability, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_account_usage_capability\nmidas/sdk/netlify/gen decode_account_usage_capability","url":"midas/sdk/netlify/gen.html#decode_account_usage_capability"},{"doc":"midas/sdk/netlify/gen","title":"decode_asset","content":"pub fn decode_asset(\n  raw: Dynamic,\n) -&gt; Result(Asset, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_asset\nmidas/sdk/netlify/gen decode_asset","url":"midas/sdk/netlify/gen.html#decode_asset"},{"doc":"midas/sdk/netlify/gen","title":"decode_asset_form","content":"pub fn decode_asset_form(\n  raw: Dynamic,\n) -&gt; Result(AssetForm, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_asset_form\nmidas/sdk/netlify/gen decode_asset_form","url":"midas/sdk/netlify/gen.html#decode_asset_form"},{"doc":"midas/sdk/netlify/gen","title":"decode_asset_public_signature","content":"pub fn decode_asset_public_signature(\n  raw: Dynamic,\n) -&gt; Result(AssetPublicSignature, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_asset_public_signature\nmidas/sdk/netlify/gen decode_asset_public_signature","url":"midas/sdk/netlify/gen.html#decode_asset_public_signature"},{"doc":"midas/sdk/netlify/gen","title":"decode_asset_signature","content":"pub fn decode_asset_signature(\n  raw: Dynamic,\n) -&gt; Result(AssetSignature, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_asset_signature\nmidas/sdk/netlify/gen decode_asset_signature","url":"midas/sdk/netlify/gen.html#decode_asset_signature"},{"doc":"midas/sdk/netlify/gen","title":"decode_audit_log","content":"pub fn decode_audit_log(\n  raw: Dynamic,\n) -&gt; Result(AuditLog, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_audit_log\nmidas/sdk/netlify/gen decode_audit_log","url":"midas/sdk/netlify/gen.html#decode_audit_log"},{"doc":"midas/sdk/netlify/gen","title":"decode_build","content":"pub fn decode_build(\n  raw: Dynamic,\n) -&gt; Result(Build, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_build\nmidas/sdk/netlify/gen decode_build","url":"midas/sdk/netlify/gen.html#decode_build"},{"doc":"midas/sdk/netlify/gen","title":"decode_build_hook","content":"pub fn decode_build_hook(\n  raw: Dynamic,\n) -&gt; Result(BuildHook, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_build_hook\nmidas/sdk/netlify/gen decode_build_hook","url":"midas/sdk/netlify/gen.html#decode_build_hook"},{"doc":"midas/sdk/netlify/gen","title":"decode_build_hook_setup","content":"pub fn decode_build_hook_setup(\n  raw: Dynamic,\n) -&gt; Result(BuildHookSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_build_hook_setup\nmidas/sdk/netlify/gen decode_build_hook_setup","url":"midas/sdk/netlify/gen.html#decode_build_hook_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_build_log_msg","content":"pub fn decode_build_log_msg(\n  raw: Dynamic,\n) -&gt; Result(BuildLogMsg, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_build_log_msg\nmidas/sdk/netlify/gen decode_build_log_msg","url":"midas/sdk/netlify/gen.html#decode_build_log_msg"},{"doc":"midas/sdk/netlify/gen","title":"decode_build_setup","content":"pub fn decode_build_setup(\n  raw: Dynamic,\n) -&gt; Result(BuildSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_build_setup\nmidas/sdk/netlify/gen decode_build_setup","url":"midas/sdk/netlify/gen.html#decode_build_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_build_status","content":"pub fn decode_build_status(\n  raw: Dynamic,\n) -&gt; Result(BuildStatus, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_build_status\nmidas/sdk/netlify/gen decode_build_status","url":"midas/sdk/netlify/gen.html#decode_build_status"},{"doc":"midas/sdk/netlify/gen","title":"decode_deploy","content":"pub fn decode_deploy(\n  raw: Dynamic,\n) -&gt; Result(Deploy, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_deploy\nmidas/sdk/netlify/gen decode_deploy","url":"midas/sdk/netlify/gen.html#decode_deploy"},{"doc":"midas/sdk/netlify/gen","title":"decode_deploy_files","content":"pub fn decode_deploy_files(\n  raw: Dynamic,\n) -&gt; Result(DeployFiles, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_deploy_files\nmidas/sdk/netlify/gen decode_deploy_files","url":"midas/sdk/netlify/gen.html#decode_deploy_files"},{"doc":"midas/sdk/netlify/gen","title":"decode_deploy_key","content":"pub fn decode_deploy_key(\n  raw: Dynamic,\n) -&gt; Result(DeployKey, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_deploy_key\nmidas/sdk/netlify/gen decode_deploy_key","url":"midas/sdk/netlify/gen.html#decode_deploy_key"},{"doc":"midas/sdk/netlify/gen","title":"decode_deployed_branch","content":"pub fn decode_deployed_branch(\n  raw: Dynamic,\n) -&gt; Result(DeployedBranch, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_deployed_branch\nmidas/sdk/netlify/gen decode_deployed_branch","url":"midas/sdk/netlify/gen.html#decode_deployed_branch"},{"doc":"midas/sdk/netlify/gen","title":"decode_dev_server","content":"pub fn decode_dev_server(\n  raw: Dynamic,\n) -&gt; Result(DevServer, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dev_server\nmidas/sdk/netlify/gen decode_dev_server","url":"midas/sdk/netlify/gen.html#decode_dev_server"},{"doc":"midas/sdk/netlify/gen","title":"decode_dev_server_hook","content":"pub fn decode_dev_server_hook(\n  raw: Dynamic,\n) -&gt; Result(DevServerHook, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dev_server_hook\nmidas/sdk/netlify/gen decode_dev_server_hook","url":"midas/sdk/netlify/gen.html#decode_dev_server_hook"},{"doc":"midas/sdk/netlify/gen","title":"decode_dev_server_hook_setup","content":"pub fn decode_dev_server_hook_setup(\n  raw: Dynamic,\n) -&gt; Result(DevServerHookSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dev_server_hook_setup\nmidas/sdk/netlify/gen decode_dev_server_hook_setup","url":"midas/sdk/netlify/gen.html#decode_dev_server_hook_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_dns_record","content":"pub fn decode_dns_record(\n  raw: Dynamic,\n) -&gt; Result(DnsRecord, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dns_record\nmidas/sdk/netlify/gen decode_dns_record","url":"midas/sdk/netlify/gen.html#decode_dns_record"},{"doc":"midas/sdk/netlify/gen","title":"decode_dns_record_create","content":"pub fn decode_dns_record_create(\n  raw: Dynamic,\n) -&gt; Result(DnsRecordCreate, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dns_record_create\nmidas/sdk/netlify/gen decode_dns_record_create","url":"midas/sdk/netlify/gen.html#decode_dns_record_create"},{"doc":"midas/sdk/netlify/gen","title":"decode_dns_zone","content":"pub fn decode_dns_zone(\n  raw: Dynamic,\n) -&gt; Result(DnsZone, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dns_zone\nmidas/sdk/netlify/gen decode_dns_zone","url":"midas/sdk/netlify/gen.html#decode_dns_zone"},{"doc":"midas/sdk/netlify/gen","title":"decode_dns_zone_setup","content":"pub fn decode_dns_zone_setup(\n  raw: Dynamic,\n) -&gt; Result(DnsZoneSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_dns_zone_setup\nmidas/sdk/netlify/gen decode_dns_zone_setup","url":"midas/sdk/netlify/gen.html#decode_dns_zone_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_env_var","content":"pub fn decode_env_var(\n  raw: Dynamic,\n) -&gt; Result(EnvVar, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_env_var\nmidas/sdk/netlify/gen decode_env_var","url":"midas/sdk/netlify/gen.html#decode_env_var"},{"doc":"midas/sdk/netlify/gen","title":"decode_env_var_user","content":"pub fn decode_env_var_user(\n  raw: Dynamic,\n) -&gt; Result(EnvVarUser, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_env_var_user\nmidas/sdk/netlify/gen decode_env_var_user","url":"midas/sdk/netlify/gen.html#decode_env_var_user"},{"doc":"midas/sdk/netlify/gen","title":"decode_env_var_value","content":"pub fn decode_env_var_value(\n  raw: Dynamic,\n) -&gt; Result(EnvVarValue, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_env_var_value\nmidas/sdk/netlify/gen decode_env_var_value","url":"midas/sdk/netlify/gen.html#decode_env_var_value"},{"doc":"midas/sdk/netlify/gen","title":"decode_error","content":"pub fn decode_error(\n  raw: Dynamic,\n) -&gt; Result(Error, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_error\nmidas/sdk/netlify/gen decode_error","url":"midas/sdk/netlify/gen.html#decode_error"},{"doc":"midas/sdk/netlify/gen","title":"decode_excluded_function_route","content":"pub fn decode_excluded_function_route(\n  raw: Dynamic,\n) -&gt; Result(ExcludedFunctionRoute, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_excluded_function_route\nmidas/sdk/netlify/gen decode_excluded_function_route","url":"midas/sdk/netlify/gen.html#decode_excluded_function_route"},{"doc":"midas/sdk/netlify/gen","title":"decode_file","content":"pub fn decode_file(\n  raw: Dynamic,\n) -&gt; Result(File, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_file\nmidas/sdk/netlify/gen decode_file","url":"midas/sdk/netlify/gen.html#decode_file"},{"doc":"midas/sdk/netlify/gen","title":"decode_form","content":"pub fn decode_form(\n  raw: Dynamic,\n) -&gt; Result(Form, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_form\nmidas/sdk/netlify/gen decode_form","url":"midas/sdk/netlify/gen.html#decode_form"},{"doc":"midas/sdk/netlify/gen","title":"decode_function","content":"pub fn decode_function(\n  raw: Dynamic,\n) -&gt; Result(Function, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_function\nmidas/sdk/netlify/gen decode_function","url":"midas/sdk/netlify/gen.html#decode_function"},{"doc":"midas/sdk/netlify/gen","title":"decode_function_config","content":"pub fn decode_function_config(\n  raw: Dynamic,\n) -&gt; Result(FunctionConfig, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_function_config\nmidas/sdk/netlify/gen decode_function_config","url":"midas/sdk/netlify/gen.html#decode_function_config"},{"doc":"midas/sdk/netlify/gen","title":"decode_function_route","content":"pub fn decode_function_route(\n  raw: Dynamic,\n) -&gt; Result(FunctionRoute, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_function_route\nmidas/sdk/netlify/gen decode_function_route","url":"midas/sdk/netlify/gen.html#decode_function_route"},{"doc":"midas/sdk/netlify/gen","title":"decode_function_schedule","content":"pub fn decode_function_schedule(\n  raw: Dynamic,\n) -&gt; Result(FunctionSchedule, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_function_schedule\nmidas/sdk/netlify/gen decode_function_schedule","url":"midas/sdk/netlify/gen.html#decode_function_schedule"},{"doc":"midas/sdk/netlify/gen","title":"decode_hook","content":"pub fn decode_hook(\n  raw: Dynamic,\n) -&gt; Result(Hook, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_hook\nmidas/sdk/netlify/gen decode_hook","url":"midas/sdk/netlify/gen.html#decode_hook"},{"doc":"midas/sdk/netlify/gen","title":"decode_hook_type","content":"pub fn decode_hook_type(\n  raw: Dynamic,\n) -&gt; Result(HookType, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_hook_type\nmidas/sdk/netlify/gen decode_hook_type","url":"midas/sdk/netlify/gen.html#decode_hook_type"},{"doc":"midas/sdk/netlify/gen","title":"decode_member","content":"pub fn decode_member(\n  raw: Dynamic,\n) -&gt; Result(Member, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_member\nmidas/sdk/netlify/gen decode_member","url":"midas/sdk/netlify/gen.html#decode_member"},{"doc":"midas/sdk/netlify/gen","title":"decode_metadata","content":"pub fn decode_metadata(\n  raw: Dynamic,\n) -&gt; Result(Metadata, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_metadata\nmidas/sdk/netlify/gen decode_metadata","url":"midas/sdk/netlify/gen.html#decode_metadata"},{"doc":"midas/sdk/netlify/gen","title":"decode_payment_method","content":"pub fn decode_payment_method(\n  raw: Dynamic,\n) -&gt; Result(PaymentMethod, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_payment_method\nmidas/sdk/netlify/gen decode_payment_method","url":"midas/sdk/netlify/gen.html#decode_payment_method"},{"doc":"midas/sdk/netlify/gen","title":"decode_plugin","content":"pub fn decode_plugin(\n  raw: Dynamic,\n) -&gt; Result(Plugin, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_plugin\nmidas/sdk/netlify/gen decode_plugin","url":"midas/sdk/netlify/gen.html#decode_plugin"},{"doc":"midas/sdk/netlify/gen","title":"decode_plugin_params","content":"pub fn decode_plugin_params(\n  raw: Dynamic,\n) -&gt; Result(PluginParams, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_plugin_params\nmidas/sdk/netlify/gen decode_plugin_params","url":"midas/sdk/netlify/gen.html#decode_plugin_params"},{"doc":"midas/sdk/netlify/gen","title":"decode_plugin_run","content":"pub fn decode_plugin_run(\n  raw: Dynamic,\n) -&gt; Result(PluginRun, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_plugin_run\nmidas/sdk/netlify/gen decode_plugin_run","url":"midas/sdk/netlify/gen.html#decode_plugin_run"},{"doc":"midas/sdk/netlify/gen","title":"decode_plugin_run_data","content":"pub fn decode_plugin_run_data(\n  raw: Dynamic,\n) -&gt; Result(PluginRunData, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_plugin_run_data\nmidas/sdk/netlify/gen decode_plugin_run_data","url":"midas/sdk/netlify/gen.html#decode_plugin_run_data"},{"doc":"midas/sdk/netlify/gen","title":"decode_purge","content":"pub fn decode_purge(\n  raw: Dynamic,\n) -&gt; Result(Purge, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_purge\nmidas/sdk/netlify/gen decode_purge","url":"midas/sdk/netlify/gen.html#decode_purge"},{"doc":"midas/sdk/netlify/gen","title":"decode_repo_info","content":"pub fn decode_repo_info(\n  raw: Dynamic,\n) -&gt; Result(RepoInfo, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_repo_info\nmidas/sdk/netlify/gen decode_repo_info","url":"midas/sdk/netlify/gen.html#decode_repo_info"},{"doc":"midas/sdk/netlify/gen","title":"decode_service","content":"pub fn decode_service(\n  raw: Dynamic,\n) -&gt; Result(Service, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_service\nmidas/sdk/netlify/gen decode_service","url":"midas/sdk/netlify/gen.html#decode_service"},{"doc":"midas/sdk/netlify/gen","title":"decode_service_instance","content":"pub fn decode_service_instance(\n  raw: Dynamic,\n) -&gt; Result(ServiceInstance, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_service_instance\nmidas/sdk/netlify/gen decode_service_instance","url":"midas/sdk/netlify/gen.html#decode_service_instance"},{"doc":"midas/sdk/netlify/gen","title":"decode_site","content":"pub fn decode_site(\n  raw: Dynamic,\n) -&gt; Result(Site, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_site\nmidas/sdk/netlify/gen decode_site","url":"midas/sdk/netlify/gen.html#decode_site"},{"doc":"midas/sdk/netlify/gen","title":"decode_site_function","content":"pub fn decode_site_function(\n  raw: Dynamic,\n) -&gt; Result(SiteFunction, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_site_function\nmidas/sdk/netlify/gen decode_site_function","url":"midas/sdk/netlify/gen.html#decode_site_function"},{"doc":"midas/sdk/netlify/gen","title":"decode_site_setup","content":"pub fn decode_site_setup(\n  raw: Dynamic,\n) -&gt; Result(SiteSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_site_setup\nmidas/sdk/netlify/gen decode_site_setup","url":"midas/sdk/netlify/gen.html#decode_site_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_sni_certificate","content":"pub fn decode_sni_certificate(\n  raw: Dynamic,\n) -&gt; Result(SniCertificate, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_sni_certificate\nmidas/sdk/netlify/gen decode_sni_certificate","url":"midas/sdk/netlify/gen.html#decode_sni_certificate"},{"doc":"midas/sdk/netlify/gen","title":"decode_snippet","content":"pub fn decode_snippet(\n  raw: Dynamic,\n) -&gt; Result(Snippet, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_snippet\nmidas/sdk/netlify/gen decode_snippet","url":"midas/sdk/netlify/gen.html#decode_snippet"},{"doc":"midas/sdk/netlify/gen","title":"decode_split_test","content":"pub fn decode_split_test(\n  raw: Dynamic,\n) -&gt; Result(SplitTest, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_split_test\nmidas/sdk/netlify/gen decode_split_test","url":"midas/sdk/netlify/gen.html#decode_split_test"},{"doc":"midas/sdk/netlify/gen","title":"decode_split_test_setup","content":"pub fn decode_split_test_setup(\n  raw: Dynamic,\n) -&gt; Result(SplitTestSetup, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_split_test_setup\nmidas/sdk/netlify/gen decode_split_test_setup","url":"midas/sdk/netlify/gen.html#decode_split_test_setup"},{"doc":"midas/sdk/netlify/gen","title":"decode_submission","content":"pub fn decode_submission(\n  raw: Dynamic,\n) -&gt; Result(Submission, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_submission\nmidas/sdk/netlify/gen decode_submission","url":"midas/sdk/netlify/gen.html#decode_submission"},{"doc":"midas/sdk/netlify/gen","title":"decode_ticket","content":"pub fn decode_ticket(\n  raw: Dynamic,\n) -&gt; Result(Ticket, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_ticket\nmidas/sdk/netlify/gen decode_ticket","url":"midas/sdk/netlify/gen.html#decode_ticket"},{"doc":"midas/sdk/netlify/gen","title":"decode_traffic_rules_aggregate_config","content":"pub fn decode_traffic_rules_aggregate_config(\n  raw: Dynamic,\n) -&gt; Result(TrafficRulesAggregateConfig, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_traffic_rules_aggregate_config\nmidas/sdk/netlify/gen decode_traffic_rules_aggregate_config","url":"midas/sdk/netlify/gen.html#decode_traffic_rules_aggregate_config"},{"doc":"midas/sdk/netlify/gen","title":"decode_traffic_rules_config","content":"pub fn decode_traffic_rules_config(\n  raw: Dynamic,\n) -&gt; Result(TrafficRulesConfig, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_traffic_rules_config\nmidas/sdk/netlify/gen decode_traffic_rules_config","url":"midas/sdk/netlify/gen.html#decode_traffic_rules_config"},{"doc":"midas/sdk/netlify/gen","title":"decode_traffic_rules_rate_limit_config","content":"pub fn decode_traffic_rules_rate_limit_config(\n  raw: Dynamic,\n) -&gt; Result(TrafficRulesRateLimitConfig, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_traffic_rules_rate_limit_config\nmidas/sdk/netlify/gen decode_traffic_rules_rate_limit_config","url":"midas/sdk/netlify/gen.html#decode_traffic_rules_rate_limit_config"},{"doc":"midas/sdk/netlify/gen","title":"decode_user","content":"pub fn decode_user(\n  raw: Dynamic,\n) -&gt; Result(User, List(DecodeError))\n\nSynonyms:\nmidas/sdk/netlify/gen.decode_user\nmidas/sdk/netlify/gen decode_user","url":"midas/sdk/netlify/gen.html#decode_user"},{"doc":"midas/sdk/netlify/gen","title":"midas/sdk/netlify/gen","content":"","url":"midas/sdk/netlify/gen.html"},{"doc":"midas/sdk/netlify","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/netlify.App\nmidas/sdk/netlify App","url":"midas/sdk/netlify.html#App"},{"doc":"midas/sdk/netlify","title":"Site","content":"pub type Site =\n  gen.Site\n\n\nSynonyms:\nmidas/sdk/netlify.Site\nmidas/sdk/netlify Site","url":"midas/sdk/netlify.html#Site"},{"doc":"midas/sdk/netlify","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/netlify.api_host\nmidas/sdk/netlify api_host","url":"midas/sdk/netlify.html#api_host"},{"doc":"midas/sdk/netlify","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/netlify.auth_redirect\nmidas/sdk/netlify auth_redirect","url":"midas/sdk/netlify.html#auth_redirect"},{"doc":"midas/sdk/netlify","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.authenticate\nmidas/sdk/netlify authenticate","url":"midas/sdk/netlify.html#authenticate"},{"doc":"midas/sdk/netlify","title":"deploy_site","content":"pub fn deploy_site(\n  token: String,\n  site_id: String,\n  files: List(#(String, BitArray)),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.deploy_site\nmidas/sdk/netlify deploy_site","url":"midas/sdk/netlify.html#deploy_site"},{"doc":"midas/sdk/netlify","title":"list_sites","content":"pub fn list_sites(token: String) -&gt; Effect(List(Site))\n\nSynonyms:\nmidas/sdk/netlify.list_sites\nmidas/sdk/netlify list_sites","url":"midas/sdk/netlify.html#list_sites"},{"doc":"midas/sdk/netlify","title":"list_sites_request","content":"pub fn list_sites_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify.list_sites_request\nmidas/sdk/netlify list_sites_request","url":"midas/sdk/netlify.html#list_sites_request"},{"doc":"midas/sdk/netlify","title":"list_sites_response","content":"pub fn list_sites_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Site), Snag)\n\nSynonyms:\nmidas/sdk/netlify.list_sites_response\nmidas/sdk/netlify list_sites_response","url":"midas/sdk/netlify.html#list_sites_response"},{"doc":"midas/sdk/netlify","title":"midas/sdk/netlify","content":"","url":"midas/sdk/netlify.html"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"BusDeparture","content":"pub type BusDeparture {\n  BusDeparture(\n    journey_direction: Int,\n    destination: String,\n    timetabled: String,\n    expected: String,\n    display: String,\n  )\n}\n\nBusDeparture(\n  journey_direction: Int,\n  destination: String,\n  timetabled: String,\n  expected: String,\n  display: String,\n)\n\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.BusDeparture\nmidas/sdk/trafiklab/realtidsinformation_4 BusDeparture","url":"midas/sdk/trafiklab/realtidsinformation_4.html#BusDeparture"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"eyvind_johnsons_gata","content":"pub const eyvind_johnsons_gata: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.eyvind_johnsons_gata\nmidas/sdk/trafiklab/realtidsinformation_4 eyvind_johnsons_gata","url":"midas/sdk/trafiklab/realtidsinformation_4.html#eyvind_johnsons_gata"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"moa_martinsons_torg","content":"pub const moa_martinsons_torg: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.moa_martinsons_torg\nmidas/sdk/trafiklab/realtidsinformation_4 moa_martinsons_torg","url":"midas/sdk/trafiklab/realtidsinformation_4.html#moa_martinsons_torg"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"bus_departure_decoder","content":"pub fn bus_departure_decoder(\n  raw: Dynamic,\n) -&gt; Result(BusDeparture, List(DecodeError))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.bus_departure_decoder\nmidas/sdk/trafiklab/realtidsinformation_4 bus_departure_decoder","url":"midas/sdk/trafiklab/realtidsinformation_4.html#bus_departure_decoder"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures","content":"pub fn departures(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Effect(List(BusDeparture))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures\nmidas/sdk/trafiklab/realtidsinformation_4 departures","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_request","content":"pub fn departures_request(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_request\nmidas/sdk/trafiklab/realtidsinformation_4 departures_request","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_request"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_response","content":"pub fn departures_response(\n  response: Response(BitArray),\n) -&gt; Result(List(BusDeparture), Snag)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_response\nmidas/sdk/trafiklab/realtidsinformation_4 departures_response","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_response"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"midas/sdk/trafiklab/realtidsinformation_4","content":"","url":"midas/sdk/trafiklab/realtidsinformation_4.html"},{"doc":"midas/sdk/twitter","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/twitter.api_host\nmidas/sdk/twitter api_host","url":"midas/sdk/twitter.html#api_host"},{"doc":"midas/sdk/twitter","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/twitter.auth_redirect\nmidas/sdk/twitter auth_redirect","url":"midas/sdk/twitter.html#auth_redirect"},{"doc":"midas/sdk/twitter","title":"auth_url","content":"pub fn auth_url(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; String\n\nSynonyms:\nmidas/sdk/twitter.auth_url\nmidas/sdk/twitter auth_url","url":"midas/sdk/twitter.html#auth_url"},{"doc":"midas/sdk/twitter","title":"authenticate","content":"pub fn authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.authenticate\nmidas/sdk/twitter authenticate","url":"midas/sdk/twitter.html#authenticate"},{"doc":"midas/sdk/twitter","title":"create_tweet","content":"pub fn create_tweet(\n  token: String,\n  text: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.create_tweet\nmidas/sdk/twitter create_tweet","url":"midas/sdk/twitter.html#create_tweet"},{"doc":"midas/sdk/twitter","title":"create_tweet_request","content":"pub fn create_tweet_request(\n  token: String,\n  text: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.create_tweet_request\nmidas/sdk/twitter create_tweet_request","url":"midas/sdk/twitter.html#create_tweet_request"},{"doc":"midas/sdk/twitter","title":"do_authenticate","content":"pub fn do_authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.do_authenticate\nmidas/sdk/twitter do_authenticate","url":"midas/sdk/twitter.html#do_authenticate"},{"doc":"midas/sdk/twitter","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  code_verifier: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.token_request\nmidas/sdk/twitter token_request","url":"midas/sdk/twitter.html#token_request"},{"doc":"midas/sdk/twitter","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/twitter.token_response\nmidas/sdk/twitter token_response","url":"midas/sdk/twitter.html#token_response"},{"doc":"midas/sdk/twitter","title":"user_by_username","content":"pub fn user_by_username(\n  token: String,\n  username: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.user_by_username\nmidas/sdk/twitter user_by_username","url":"midas/sdk/twitter.html#user_by_username"},{"doc":"midas/sdk/twitter","title":"user_by_username_request","content":"pub fn user_by_username_request(\n  token: String,\n  username: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_by_username_request\nmidas/sdk/twitter user_by_username_request","url":"midas/sdk/twitter.html#user_by_username_request"},{"doc":"midas/sdk/twitter","title":"user_timeline","content":"pub fn user_timeline(\n  token: String,\n  user_id: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline\nmidas/sdk/twitter user_timeline","url":"midas/sdk/twitter.html#user_timeline"},{"doc":"midas/sdk/twitter","title":"user_timeline_request","content":"pub fn user_timeline_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_request\nmidas/sdk/twitter user_timeline_request","url":"midas/sdk/twitter.html#user_timeline_request"},{"doc":"midas/sdk/twitter","title":"user_timeline_response","content":"pub fn user_timeline_response(\n  response: Response(BitArray),\n) -&gt; Result(Dynamic, a)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_response\nmidas/sdk/twitter user_timeline_response","url":"midas/sdk/twitter.html#user_timeline_response"},{"doc":"midas/sdk/twitter","title":"midas/sdk/twitter","content":"","url":"midas/sdk/twitter.html"},{"doc":"midas/sdk/vimeo","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/vimeo.App\nmidas/sdk/vimeo App","url":"midas/sdk/vimeo.html#App"},{"doc":"midas/sdk/vimeo","title":"Video","content":"pub type Video {\n  Video(\n    name: String,\n    link: String,\n    duration: Int,\n    created_time: String,\n    plays: Int,\n    has_audio: Bool,\n  )\n}\n\nVideo(\n  name: String,\n  link: String,\n  duration: Int,\n  created_time: String,\n  plays: Int,\n  has_audio: Bool,\n)\n\n\nSynonyms:\nmidas/sdk/vimeo.Video\nmidas/sdk/vimeo Video","url":"midas/sdk/vimeo.html#Video"},{"doc":"midas/sdk/vimeo","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/vimeo.auth_redirect\nmidas/sdk/vimeo auth_redirect","url":"midas/sdk/vimeo.html#auth_redirect"},{"doc":"midas/sdk/vimeo","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/vimeo.authenticate\nmidas/sdk/vimeo authenticate","url":"midas/sdk/vimeo.html#authenticate"},{"doc":"midas/sdk/vimeo","title":"my_videos","content":"pub fn my_videos(token: String) -&gt; Effect(List(Video))\n\nSynonyms:\nmidas/sdk/vimeo.my_videos\nmidas/sdk/vimeo my_videos","url":"midas/sdk/vimeo.html#my_videos"},{"doc":"midas/sdk/vimeo","title":"my_videos_request","content":"pub fn my_videos_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_request\nmidas/sdk/vimeo my_videos_request","url":"midas/sdk/vimeo.html#my_videos_request"},{"doc":"midas/sdk/vimeo","title":"my_videos_response","content":"pub fn my_videos_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Video), Snag)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_response\nmidas/sdk/vimeo my_videos_response","url":"midas/sdk/vimeo.html#my_videos_response"},{"doc":"midas/sdk/vimeo","title":"video_decoder","content":"pub fn video_decoder(\n  data: Dynamic,\n) -&gt; Result(Video, List(DecodeError))\n\nSynonyms:\nmidas/sdk/vimeo.video_decoder\nmidas/sdk/vimeo video_decoder","url":"midas/sdk/vimeo.html#video_decoder"},{"doc":"midas/sdk/vimeo","title":"midas/sdk/vimeo","content":"","url":"midas/sdk/vimeo.html"}]);